#include <iostream>
using namespace std;
int main()
{
    int n,l;
    int x;
    int v=1;
    cin>>n>>l;
    while(cin >> x){
        if (l<x){
            v++;
        }
        else{
            break;
        }
        if (v>n){
            break;
        }
    }
    if (v>n){
        v=-1;
    }
    cout<<v;
    return 0;
}